import { describe, it } from "node:test"
import { daily } from "@/main.ts"
import { ActualImpl } from "@/actual.ts"
import { BankStub } from "./stubs/bankStub.ts"
import assert from "node:assert"

describe("Main logic of the application", () => {
  it("should import the transactions to Actual Budget", async () => {
    await daily(await ActualImpl.init(), new BankStub())
    assert.ok(true)
  })
})
